Loading...
Searching...
No Matches
crit_action.hpp File Reference
API

contains classes that let the user define the policy for overwriting files More...

`#include "../my_config.h"`
`#include <deque>`
`#include "criterium.hpp"`

Go to the source code of this file.

## Classes

class | libdar::crit_action
| the global action for overwriting More...
class | libdar::crit_constant_action
| the basic constant action More...
class | libdar::testing
| the testing class binds criterium to actions More...
class | libdar::crit_chain
| the crit_chain class sequences crit_actions up to full definition of the action More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations

enum | libdar::over_action_data { libdar::data_preserve , libdar::data_overwrite , libdar::data_preserve_mark_already_saved , libdar::data_overwrite_mark_already_saved , libdar::data_remove , libdar::data_undefined , libdar::data_ask }
| the possible actions for overwriting data More...
enum | libdar::over_action_ea { libdar::EA_preserve , libdar::EA_overwrite , libdar::EA_clear , libdar::EA_preserve_mark_already_saved , libdar::EA_overwrite_mark_already_saved , libdar::EA_merge_preserve , libdar::EA_merge_overwrite , libdar::EA_undefined , libdar::EA_ask }
| the possible action for overwriting EA More...

## Detailed Description

contains classes that let the user define the policy for overwriting files

Definition in file crit_action.hpp.